package com.hibernate.util;

import org.hibernate.Session;
import org.hibernate.cfg.Configuration;

import com.hibernate.model.Employee;

public class AppMain {

	public static void main(String[] args) {		

		// Creating the config instance & passing the hibernate config file.
		Configuration config = new Configuration();
		config.configure("hibernate.cfg.xml");

		Session session = config.buildSessionFactory().openSession();

		Employee emp1 = session.get(Employee.class, new Integer(1));

		session.close();

		// "emp1 is now a detached instance".

		session = config.buildSessionFactory().openSession();

		Employee emp2 = session.get(Employee.class, new Integer(1));
		Employee emp3 = (Employee) session.merge(emp1);

		if(emp2 == emp3) {
			System.out.println("Emp2 and Emp3 are equal");
		}

		// Closing the session object.
		session.close();
	}
}